BEGIN 1xREA1

IF~InParty("AEONDV") Global("ReaJoined","GLOBAL",0) Global("ReaJoinedNot","GLOBAL",0) !AreaCheck("ART001")~ THEN BEGIN REA01x00
SAY ~(A dark looking woman approaches you.) Oh! Here you are my sweet boy. I have time which I can spend with you... but... who are those with you? Hello, I am Rea - Aeon's mistress. ~
IF~~THEN GOTO REA01x01
END

IF~~ THEN BEGIN REA01x01
SAY~May I join the team for three days? I would be pleased, sweet leader.~
IF~~THEN REPLY ~Yes. Welcome.~ GOTO REA01x02
IF~~THEN REPLY ~No. Begone. I am sorry, Aeon. I hired you and you shall obey my commands.~ GOTO REA01x03
END

IF~~ THEN BEGIN REA01x02
SAY ~Thank you. Come, Aeon, my love. <CHARNAME>, let us rest. We will start travelling after a little nap.~
IF~~THEN DO ~SetGlobal("ReaJoined","GLOBAL",1) JoinParty()~ EXIT
END

IF~~ THEN BEGIN REA01x03
SAY ~Aeon, sweetie, we will meet again when you will leave this company. Goodbye.~
IF~~THEN DO ~SetGlobal("ReaJoinedNot","GLOBAL",0) EscapeArea()~ EXIT
END

BEGIN 1xREA1P

IF~Global("ReaJoined","GLOBAL",2) GlobalLT("ReaLeaves","GLOBAL",2) !AreaCheck("ART001")~ THEN BEGIN ReaWontLeave
SAY ~You said I could stay for three days. You promised so I will not leave now.~
IF~~THEN DO ~JoinParty()~ EXIT
END

IF~Global("ReaLeaves","GLOBAL",2) Global("ReaJoined","GLOBAL",2) !AreaCheck("ART001")~ THEN BEGIN ReaYouBitchLeave
SAY ~Oh... I should be going!~
IF~~THEN DO ~DestroySelf()~ EXIT
END